Kilka pytań dotyczących Debiana


(Eses007) #1

Witam wszystkich użytkowników :wink:

  1. Poszukuję distro na biurko i na 90% będzie to Debian, lecz zastanawiam się która z gałęzi będzie dla mnie dobra tzn, że nie będzie sprawiała problemów wynikających z wczesnej fazy rozwoju danego programu. (Na razie korzystam Ubuntu 9.10)

  2. Co z pakietami takimi jak VirtualBox czy Skype np. na Testing czy Sid ?

  3. Czy po zainstalowaniu libnotify dymki z Pidgina, Rhythmboksa będą wyświetlane od razy czy też trzeba będzie edytować wybrane pliki ?

  4. W Lenny 5.0.4 przy instalacji sterowników do karty graficznej instalator powiadomił mnie o złej wersji gcc dokładniej, że Lenny był kompilowany w innej wersji gcc niż sterowniki. Czy ten problem nie będzie występował np. w Squeeze ? Owszem można go ominąć, ale o ile mi wiadomo mogą przez to paść x'y.

To byłoby na tyle, w woli ścisłości podam jeszcze moją konfigurację sprzętową :

CPU : Intel Q6600, Mobo : Ga-g31m-s2l, RAM : 4GB 800MHz (jakieś "vram"), Karta graficzna : GF9500GT 1GB DDRII.


(mati75) #2

testing

Są i działają

Z iceweasela, exaile działają bez problemu

Jest nowszy gcc, ale bez tego też się instaluje.


(Eses007) #3

Squeeze za powoli się mrozi i za ~2 miesiące ma wkroczyć jako Stable już. A w Sid to nie wiem czy poradzę sobie z kontrolowaniem paczek... w Ubuntu robi to za mnie Canonical, a Sid to już całkiem inna bajka.


(roobal) #4

Ja bym w to nie wierzył, już w grudniu mieli mrozić i im nie poszło a poza tym Debianowi do wydania Stable zdarzały się nawet dwuletnie opóźnienia, jedynie Lenny wydano jakoś wyjątkowo szybko po Etchu, więc terminy i obietnice twórców należy brać z przymrużeniem oka :wink: Debian wyjdzie jak będzie gotowy i mam nadzieję, że to się nigdy nie zmieni, w końcu to renoma Debiana :slight_smile:

Nawet jeśli Squeeze stanie się już stabilny to zaktualizujesz go znowu do wersji testowej i tak w kółko :wink:

Co do Virtualboksa to w każdej dystrybucji dostępna jest wersja Open Source Edition, czyli wersja z otwartym kodem źródłowym a na stronie producenta dostępne są wersje zamknięte dla większości popularnych dystrybucji, więc z racji tego że Debian jest najpopularniejszą dystrybucją nie mogłoby zabraknąć paczki czy repozytoriów dla tego systemu.

Pozdrawiam!


(Eses007) #5

A więc najmniej problemów będzie sprawiał Squeeze ?

A wersją gcc przy sterownikach mam się nie przejmować ?


(RubasznyRumcajs) #6
  1. jeśli chcesz debiana- to bierz squeeze. lenny nie jest jeszcze przestarzaly, ale, cóż- nie jest też najnowszy (chociaż zawsze możesz użyć repozytorium debian-backports).

  2. co do różnych wersji gcc- najprościej jest 'ominąć' ten problem kompilując sobie samemu jajko standardowym gcc a później instalując stery do grafiki.


(mati75) #7

To sterownik nvidii sypie, że jest stara wersja, choć bez problemu daje się zainstalować.


(iacobus) #8

problem najłatwiej ominąć wciskając enter przy instalacji sterowników. Odkąd jestem na Debianie nigdy nie miałem problemów związanych z różną wersją GCC.

Jedynie irytujące bywa, że jeżeli instalujesz z palca, to po każdym updacie xorga musisz reinstalować stery.

A co do wersji to najlepiej używać testinga. Co prawda obecna gałąź testowa (Squeeze) zmierza nieuchronnie do zamrożenia, ale zaraz po wydaniu Squeeze jako stable znów będą świeże paczki. Jeżeli to twój pierwszy raz z Debianem to możesz zdrowo namieszać korzystając z unstable.


(system) #9

U mnie na Radku 9200 SE 128 MB, nie żadnych problemów ze sterownikami, tylko w Ubuntu miałem.


(roobal) #10

Ja na tym Radeonie też nigdy nie miałem problemów z grafiką, nawet sterowników instalować nie musiałem :slight_smile:

Pozdrawiam!